#include "UI.h"

class UIKeyboard : public UI
{
public:
    UIKeyboard::UIKeyboard(Scheduler *scheduler, ConnectionManager *connection, Control *cntrl, MidiInput *midiinput, AudioEffect *effect, CBitmap *background, int x, int y, char *name) :
    UI(scheduler, connection, cntrl, midiinput, effect, background, x, y, name),
    m_midiinput(midiinput){};

    ~UIKeyboard(){};

    void open();

    void updateKeyboardUI(long tag, float value);
    void valueChanged(CDrawContext *canvas, CControl *ccontrol);

private:

    MidiInput *m_midiinput;

};
