#include "UILFO.h"

void UILFO::open()
{
    addTwoSwitch("lfo_mode", new ParameterObjectContainer(
              3,

              " ",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "auto",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "man", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addSlider("lfo_rate", new ParameterObjectContainer(
              3,

              "rate",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "fast", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "slow", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("lfo_delay", new ParameterObjectContainer(
              3,

              "delay",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "long", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "short", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));
}

