#include "UI.h"

class UIMisc : public UI
{
public:

    UIMisc::UIMisc(Scheduler *scheduler, ConnectionManager *connection, Control *cntrl, MidiInput *midiinput, AudioEffect *effect, CBitmap *background, int x, int y, char *name) :
    UI(scheduler, connection, cntrl, midiinput, effect, background, x, y, name),
    m_effect(effect),
    m_control(cntrl){};

    UIMisc::~UIMisc(){};

    void open();

    void valueChanged(CDrawContext *canvas, CControl *ccontrol);

private:

    Control     *m_control;
    AudioEffect *m_effect;
};
