#include "UIVCO.h"

void UIVCO::open()
{
    addSlider("dco_lfo", new ParameterObjectContainer(
              3,

              "lfo",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "low", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addSlider("dco_pwm", new ParameterObjectContainer(
              3,

              "pwm",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "10", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "0", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addThreeSwitch("dco_pwm_mod", new ParameterObjectContainer(
              5,

              "pwm",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "mode", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kGreenCColor, 

              " lfo", 
              kRight, 
              kLeft, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              " man", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              " env", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addTwoSwitch("dco_pulse_switch", new ParameterObjectContainer(
              3,

              "pulse",                  //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "off",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "on", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addTwoSwitch("dco_saw_switch", new ParameterObjectContainer(
              3,

              "saw",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "off",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "on", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addTwoSwitch("dco_sub_switch", new ParameterObjectContainer(
              3,

              "sub",                  //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "off",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "on", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addSlider("dco_sub", new ParameterObjectContainer(
              3,

              "sub",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "10", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "0", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("dco_noise", new ParameterObjectContainer(
              3,

              "noise",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "10", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "0", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));
}

