/*
 * Copyright(c) 2000 UltraMaster Group
 *
 * License to use UltraMaster Juno-6 is provided free of charge subject to the
 * following restrictions:
 *
 * 1.) This license is for your personal use only.
 *
 * 2.) No portion of this software may be redistributed by you to any other
 *     person in any form.
 *
 * 3.) You may not sell UltraMaster Juno-6 to any person.
 *
 * 4.) UltraMaster Juno-6 is provided without any express or implied warranty.
 *     In no event shall UltraMaster Group be held liable for any damages
 *     arising from the use of UltraMaster Juno-6.
 */
/**
 * Copyright (c) UltraMaster Group, LLC. All Rights Reserved.
 * $Revision: 1.5 $$Date: 2005/02/24 22:35:36 $
 */
#ifndef CHORUS_H
#define CHORUS_H

#include "MoogObject.h"
#define CHORUSIMPL_TYPE 16

class Delay;
class SawLfo;

class Chorus: public MoogObject
{
private:
    Delay *dly;
    SawLfo *osc;
    float dtime;
    float mod;

public:
    Chorus(Scheduler *sched, ConnectionManager *conn);
    ~Chorus();

    void updateSampleRate();

    void connectTo(ConnectionInfo *info);
    void disconnectTo(ConnectionInfo *info);

    const char *getClassName()
    {
        return ("Chorus");
    }
};

#endif /* CHORUS_H */
