#include "ParameterObject.h"

#include <string.h>

ParameterObject::ParameterObject():
m_string(NULL),
	m_align(kHorizontal),
	m_font(kSystemFont),
	m_color(kTransparentCColor)
{
}

ParameterObject::ParameterObject(const char *string,
	CControlEnum position,
	CControlEnum align,
	CFont font,
	CColor color):
m_string(string),
	m_position(position),
	m_align(align),
	m_font(font),
	m_color(color)
{
}

ParameterObject::~ParameterObject()
{
}

void ParameterObject::setString(const char *string)
{
	m_string = string;
}

void ParameterObject::setPosition(CControlEnum position)
{
	m_position = position;
}

void ParameterObject::setAlign(CControlEnum align)
{
	m_align = align;
}

void ParameterObject::setFont(CFont font)
{
	m_font = font;
}

void ParameterObject::setColor(CColor color)
{
	m_color = color;
}
