#ifndef PARAMETEROBJECT_H
#define PARAMETEROBJECT_H

#include "../VSTi/common/vstgui.h"

class ParameterObject
{
protected:
	const char *m_string;
	CControlEnum m_align;
	CControlEnum m_position;
	CFont m_font;
	CColor m_color;

public:
	ParameterObject();

	ParameterObject(const char *string,
		CControlEnum position,
		CControlEnum align,
		CFont font,
		CColor color);

	~ParameterObject();

	void setString(const char *string);
	void setPosition(CControlEnum position);
	void setAlign(CControlEnum align);
	void setFont(CFont font);
	void setColor(CColor color);

	const char *getString()
	{
		return m_string;
	}

	CControlEnum getPosition()
	{
		return m_position;
	}

	CControlEnum getAlign()
	{
		return m_align;
	}

	CFont getFont()
	{
		return m_font;
	}

	CColor getColor()
	{
		return m_color;
	}
};

#endif /* PARAMETEROBJECT_H */
