#include "UIArpeggio.h"

void UIArpeggio::open()
{

    addTwoSwitch("arpeggio_switch", new ParameterObjectContainer(
              3,

              " ",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "off",                     //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "on", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addThreeSwitch("arpeggio_mode", new ParameterObjectContainer(
              5,

              "mode",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              " ", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              " down", 
              kRight, 
              kLeft, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              " up/dn", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              " up", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));


    addThreeSwitch("arpeggio_range", new ParameterObjectContainer(
              5,

              " range",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              " ", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              " one", 
              kRight, 
              kLeft, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              " two", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              " three", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addSlider("arpeggio_rate", new ParameterObjectContainer(
              3,

              "rate",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "fast", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "slow", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addButton("arpeggio_sync", new ParameterObjectContainer(
              2,

              " ",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "sync", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));
}
