#include "UIChorus.h"

void UIChorus::open()
{
    addKickButton("chorus_off_switch", new ParameterObjectContainer(
              2,

              "     Chorus",                 //String
              kTop,                     //Position
              kLeft,                    //Align
              kNormalFontVerySmall,     //Font
              kBlackCColor,             //Color

              "off",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kBlackCColor,             //Color

              NULL ));

    addButton("chorus_I_switch", new ParameterObjectContainer(
              2,

              " ",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kBlackCColor,             //Color

              "1",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kBlackCColor,             //Color

              NULL ));

    addButton("chorus_II_switch", new ParameterObjectContainer(
              2,

              " ",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kBlackCColor,             //Color

              "2",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kBlackCColor,             //Color

              NULL ));
}

void UIChorus::valueChanged(CDrawContext *canvas, CControl *ccontrol)
{
    long tag = ccontrol->getTag();

    // handle chorus off switch
    if (tag == m_control->getOutputNum("chorus_off_switch"))
    {
        m_effect->setParameterAutomated(m_control->getOutputNum("chorus_I_switch"), 0);
        m_effect->setParameterAutomated(m_control->getOutputNum("chorus_II_switch"), 0);

        ccontrol->update(canvas);
        return;
    }

    UI::valueChanged(canvas, ccontrol);
}