#include "UIModulator.h"

void UIModulator::open()
{
    addBender("bender", new ParameterObjectContainer(
              2,

              " ",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              " ",                      //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              NULL ));

    addSlider("bender_dco", new ParameterObjectContainer(
              3,

              "vco",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "low", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("bender_vcf", new ParameterObjectContainer(
              3,

              "vcf",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "low", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addThreeSwitch("octave_transpose", new ParameterObjectContainer(
              5,

              "octave",                 //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "transp", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kGreenCColor, 

              " up", 
              kRight, 
              kLeft, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              " norm", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              " down", 
              kRight,
              kLeft,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addKickButton("lfo_trigger", new ParameterObjectContainer(
              2, 

              "lfo",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "trig",
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kGreenCColor, 

              NULL ));
}