#include "UIReverb.h"

void UIReverb::open()
{
    addSlider("reverb_wet", new ParameterObjectContainer(
              3,

              "wet",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "low", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));


    addSlider("reverb_dry", new ParameterObjectContainer(
              3,

              "dry",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "low", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("reverb_roomsize", new ParameterObjectContainer(
              3,

              "room",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "big", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "small", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("reverb_damp", new ParameterObjectContainer(
              3,

              "damp",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "low", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("reverb_width", new ParameterObjectContainer(
              3,

              "width",                  //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "big", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "small", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("reverb_mode", new ParameterObjectContainer(
              3,

              "mode",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "freeze", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "normal", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));
}
