#include "UIVCF.h"

void UIVCF::open()
{
    addSlider("hpf_frq", new ParameterObjectContainer(
              3,

              "hpf",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "low", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addSlider("vcf_frq", new ParameterObjectContainer(
              3,

              "cutoff",                 //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "low", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addSlider("vcf_res", new ParameterObjectContainer(
              3,

              "res",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "low", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addTwoSwitch("vcf_env_invert", new ParameterObjectContainer(
              3,

              "env",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "^", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "v", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("vcf_env", new ParameterObjectContainer(
              3,

              "env",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "10", 
              kTop, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              "0", 
              kBottom, 
              kHorizontal, 
              kNormalFontVerySmall, 
              kWhiteCColor, 

              NULL ));

    addSlider("vcf_lfo", new ParameterObjectContainer(
              3,

              "lfo",                    //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "low", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));

    addSlider("vcf_kbd", new ParameterObjectContainer(
              3,

              "kybd",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kGreenCColor,             //Color

              "high",                   //String
              kTop,                     //Position
              kHorizontal,              //Align
              kNormalFontVerySmall,     //Font
              kWhiteCColor,             //Color

              "low", 
              kBottom,
              kHorizontal,
              kNormalFontVerySmall,
              kWhiteCColor, 

              NULL ));
}
