#pragma once

#include "math.h"
#include "string.h"
#include "xmmintrin.h"

// width of an impulse in samples
const int impulse_width = 16;

// number of impulses
const int impulse_count = 32;

// buffer to hold the precalculated impulses.
extern __m128 *impulses[impulse_count];

void precalc_impulses();

void free_impulses();
