#ifndef PARAMETEROBJECTCONTAINER_H
#define PARAMETEROBJECTCONTAINER_H

#include "../VSTi/common/vstgui.h"
#include "ParameterObject.h"

class ParameterObjectContainer
{

public:

	ParameterObjectContainer::ParameterObjectContainer(int numObjects, ...);

	~ParameterObjectContainer();

	int getParameterObjectNum();

	ParameterObject *getParameterObject(int parameter);

	int getHeight(CFrame *pFrame, CControlEnum position);
	int getWidth(CFrame *pFrame, CControlEnum position);

private:

	int m_parameterobjectnum;

	ParameterObject **m_parameterobject;

};

#endif /* PARAMETEROBJECTCONTAINER_H */
