/*
 * Copyright(c) 2000 UltraMaster Group
 *
 * License to use UltraMaster Juno-6 is provided free of charge subject to the
 * following restrictions:
 *
 * 1.) This license is for your personal use only.
 *
 * 2.) No portion of this software may be redistributed by you to any other
 *     person in any form.
 *
 * 3.) You may not sell UltraMaster Juno-6 to any person.
 *
 * 4.) UltraMaster Juno-6 is provided without any express or implied warranty.
 *     In no event shall UltraMaster Group be held liable for any damages
 *     arising from the use of UltraMaster Juno-6.
 */
#ifndef _LIBMOOG_BILINEAR_H
#define _LIBMOOG_BILINEAR_H

#ifdef __cplusplus
extern "C" {
#endif
#ifndef M_PI
#define M_PI		(float)3.14159265358979323846
#endif

void szxform(
	float a0, float a1, float a2, /* numerator coefficients */
	float b0, float b1, float b2, /* denominator coefficients */
	float fc, /* Filter cutoff frequency */
	float fs, /* sampling rate */
	float *k, /* overall gain factor */
	float *coef                        /* pointer to 4 iir coefficients */);

#ifdef __cplusplus
}
#endif

#endif /* _LIBMOOG_BILINEAR_H */
